'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var functions = require('jss-plugin-rule-value-function');
var observable = require('jss-plugin-rule-value-observable');
var template = require('jss-plugin-template');
var global = require('jss-plugin-global');
var extend = require('jss-plugin-extend');
var nested = require('jss-plugin-nested');
var compose = require('jss-plugin-compose');
var camelCase = require('jss-plugin-camel-case');
var defaultUnit = require('jss-plugin-default-unit');
var expand = require('jss-plugin-expand');
var vendorPrefixer = require('jss-plugin-vendor-prefixer');
var propsSort = require('jss-plugin-props-sort');

var create = function create(options) {
  if (options === void 0) {
    options = {};
  }
  return {
    plugins: [functions(), observable(options.observable), template(), global(), extend(), nested(), compose(), camelCase(), defaultUnit(options.defaultUnit), expand(), vendorPrefixer(), propsSort()]
  };
};

exports.default = create;
